GrailsProjectTestCompiler (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.runner
[Groovy] Class GrailsProjectTestCompiler

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.compiler.GrailsProjectCompiler
              org.codehaus.groovy.grails.test.runner.GrailsProjectTestCompiler

    class GrailsProjectTestCompiler
    extends GrailsProjectCompiler

Compiles test with the appropriate classpath for the given GrailsTestType

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class GrailsProjectCompiler
EXCLUDED_PATHS

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`static GrailsConsole` | `CONSOLE`
`GrailsBuildEventListener` | `buildEventListener`
`BuildSettings` | `buildSettings`

Constructor Summary
`GrailsProjectTestCompiler(GrailsBuildEventListener buildEventListener, PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader = Thread.currentThread()`

Method Summary
`void` | `compileTests(GrailsTestType type, java.io.File source, java.io.File dest)` Compiles all the test classes for a particular type of test, for example "unit" or "webtest".
`groovy.util.AntBuilder` | `getAnt()`
`void` | `packageTests(boolean triggerEvents = true)` Puts some useful things on the classpath for integration tests.

Methods inherited from class GrailsProjectCompiler
compile, compile, compileAll, compileGroovyPages, compilePluginDescriptor, compilePlugins, compilePlugins, configureClasspath, getAnt, getExtraDependencies, getJarFiles, reconfigureClasspath, setAnt, withCompilationErrorHandling

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### CONSOLE

    static final GrailsConsole CONSOLE

### buildEventListener

    GrailsBuildEventListener buildEventListener

### buildSettings

    BuildSettings buildSettings

Constructor Detail

### GrailsProjectTestCompiler

    GrailsProjectTestCompiler(GrailsBuildEventListener buildEventListener, PluginBuildSettings pluginBuildSettings, java.lang.ClassLoader rootLoader = Thread.currentThread()

Method Detail

### compileTests

    void compileTests(GrailsTestType type, java.io.File source, java.io.File dest)

  Compiles all the test classes for a particular type of test, for example "unit" or "webtest". Assumes that the source files are in the "test/$type" directory. It also compiles the files to distinct directories for each test type: "$testClassesDir/$type".
  Parameters:
    `type` - The type of the tests to compile (not the test phase!) For example, "unit", "jsunit", "webtest", etc.

### getAnt

    @java.lang.Override
    groovy.util.AntBuilder getAnt()

### packageTests

    void packageTests(boolean triggerEvents = true)

  Puts some useful things on the classpath for integration tests.

Groovy Documentation